org.gjt.sp.jedit.search

## Interface SearchFileSet

All Known Implementing Classes:
  AllBufferSet, BufferListSet, CurrentBufferSet, DirectoryListSet

    public interface SearchFileSet

An abstract interface representing a set of files.

### Method Summary

Methods
`java.lang.String` `getCode()` Returns the BeanShell code that will recreate this file set.
`int` `getFileCount(View view)` Returns the number of files in this file set.
`java.lang.String[]` `getFiles(View view)` Returns all path names in this file set.
`java.lang.String` `getFirstFile(View view)` Returns the first file to search.
`java.lang.String` `getLastFile(View view)` Returns the last file to search.
`java.lang.String` `getNextFile(View view, java.lang.String path)` Returns the next file to search.
`java.lang.String` `getPrevFile(View view, java.lang.String path)` Returns the previous file in the set.

### Method Detail

#### getFirstFile

    java.lang.String getFirstFile(View view)

Returns the first file to search.

Parameters:
  `view` - The view performing the search

#### getLastFile

    java.lang.String getLastFile(View view)

Returns the last file to search.

Parameters:
  `view` - The view performing the search
Since:
  jEdit 5.0

#### getNextFile

    java.lang.String getNextFile(View view,
                               java.lang.String path)

Returns the next file to search.

Parameters:
  `view` - The view performing the search
  `path` - The last file searched

#### getPrevFile

    java.lang.String getPrevFile(View view,
                               java.lang.String path)

Returns the previous file in the set.

Parameters:
  `view` - The view performing the search
  `path` - The last file searched

#### getFiles

    java.lang.String[] getFiles(View view)

Returns all path names in this file set.

Parameters:
  `view` - The view performing the search

#### getFileCount

    int getFileCount(View view)

Returns the number of files in this file set.

#### getCode

    java.lang.String getCode()

Returns the BeanShell code that will recreate this file set.